Bug 208588 - x86_64 openssl missing requires (wrong build?)
x86_64 openssl missing requires (wrong build?)
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssl (Show other bugs)
3.8
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-29 10:50 EDT by Tru Huynh
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-06 15:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tru Huynh 2006-09-29 10:50:50 EDT
Description of problem:
openssl-0.9.7a-33.21.x86_64.rpm does not requires libresolv.so.2()(64bit)

Version-Release number of selected component (if applicable):
0.9.7a-33.21.x86_64

How reproducible:
always

Steps to Reproduce:
1.rpm -qp openssl-0.9.7a-33.21.x86_64.rpm --requires | grep libres
2.
3.
  
Actual results:
nothing

Expected results:
libresolv.so.2()(64bit)

Additional info:
rpm -qp openssl-0.9.7a-33.17.x86_64.rpm --requires| grep libres
libresolv.so.2()(64bit)
Comment 1 Tru Huynh 2006-09-29 10:53:37 EDT
openssl-0.9.7a-33.21.i686.rpm:
https://rhn.redhat.com/network/software/packages/dependencies.pxt?pid=370280
is listing
libresolv.so.2

openssl-0.9.7a-33.21.x86_64.rpm:
https://rhn.redhat.com/network/software/packages/dependencies.pxt?pid=370300
does not list 
libresolv.so.2()(64bit)
Comment 2 Tomas Mraz 2006-10-06 15:07:33 EDT
Actually openssl libraries shouldn't require libresolv as it doesn't call it
directly. The libresolv is required by krb5-libs which are properly required by
openssl.

This change should be completely harmless.

Note You need to log in before you can comment on or make changes to this bug.